> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Reporting Periods

> List all reporting periods for a company, optionally filtered by pay schedule.



## OpenAPI

````yaml openapi/employee-checks.json get /reportingPeriod/
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reportingPeriod/:
    get:
      summary: Get All Reporting Periods
      operationId: get-all-reporting-periods
      parameters:
        - name: companyID
          in: query
          description: ID of the company
          required: true
          schema:
            type: string
        - name: pay_schedule
          in: query
          schema:
            type: string
            enum:
              - daily
              - weekly
              - biweekly
              - semimonthly
              - monthly
              - quarterly
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - reportingPeriodID: 5eb317a40d1158d5ddcb6895
                        pay_schedule: weekly
                        start: '2023-08-02'
                        end: '2023-08-08'
                      - reportingPeriodID: 522317a404341158d5c3b6895
                        pay_schedule: monthly
                        start: '2023-07-01'
                        end: '2023-08-01'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        reportingPeriodID:
                          type: string
                          example: 5eb317a40d1158d5ddcb6895
                        pay_schedule:
                          type: string
                          example: weekly
                        start:
                          type: string
                          example: '2023-08-02'
                        end:
                          type: string
                          example: '2023-08-08'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No user with this company ID exists
                        code: 4
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No user with this company ID exists
                        code:
                          type: integer
                          example: 4
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````